# mfix-parser

Repo for parsing and validating MFIX input(s) files for use by mfix-app.

Uses PEGTL for parsing and Catch2 for tests.

This has the MFIX-Exa repo as a submodule in order to test against existing ``inputs`` files.


## Build

> python3 -m pip install meson ninja
> meson build
> ninja -C build

## Run Tests

> meson test -C build

## Run on inputs file

> ./build/src/mfix-parser subprojects/mfix/benchmarks/01-HCS/Size0001/inputs && echo "Parsing succeeded."
